package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.CompanyPosition;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface CompanyPositionDAO {
	int insert(CompanyPosition entity);
	int update(CompanyPosition entity);
	int exist(String id);
	CompanyPosition get(String id);
	int delete(String id);
	List<CompanyPosition> findByCompanyId(String companyId);
	List<CompanyPosition> list();
	List<CompanyPosition> search(Map<String, Object> searchParams, List<Sort> sortList);
}